> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file operation

> Read the settlement state of an asynchronous Files operation.

**Operation ID:** `http.operations.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/operations/{operation}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/operations/{operation}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/operations/{operation}:
    get:
      tags:
        - Files
      summary: Get file operation
      description: >-
        Read the settlement state of an asynchronous Files operation.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.operations.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: operation
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_operations_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_operations_get_response:
      type: object
      properties:
        data:
          anyOf:
            - type: object
              properties:
                request_id:
                  type: string
                outcome:
                  type: string
                  enum:
                    - applied
                    - queued
                    - unknown
                replayed:
                  type: boolean
                reason:
                  type: string
                data: {}
                operation:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    request_id:
                      type: string
                    status_url:
                      type: string
                  required:
                    - id
                    - request_id
                    - status_url
                  additionalProperties: {}
              required:
                - request_id
                - outcome
              additionalProperties: {}
            - type: object
              propertyNames:
                type: string
              additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.